Restore compatibility with PHP < 5.3.6
[gitphp.git] / lib / php-gettext / Makefile
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
PACKAGE = php-gettext-$(VERSION)
VERSION = 1.0.11
 
DIST_FILES = \
        gettext.php \
        gettext.inc \
        streams.php \
        AUTHORS     \
        README      \
        COPYING     \
        Makefile    \
        examples/index.php    \
        examples/pigs_dropin.php    \
        examples/pigs_fallback.php    \
        examples/locale/sr_CS/LC_MESSAGES/messages.po \
        examples/locale/sr_CS/LC_MESSAGES/messages.mo \
        examples/locale/de_CH/LC_MESSAGES/messages.po \
        examples/locale/de_CH/LC_MESSAGES/messages.mo \
        examples/update \
        tests/LocalesTest.php \
        tests/ParsingTest.php
 
check:
        phpunit --verbose tests
 
dist: check
        if [ -d $(PACKAGE) ]; then \
            rm -rf $(PACKAGE); \
        fi; \
        mkdir $(PACKAGE); \
        if [ -d $(PACKAGE) ]; then \
            cp -rp --parents $(DIST_FILES) $(PACKAGE); \
            tar cvzf $(PACKAGE).tar.gz $(PACKAGE); \
            rm -rf $(PACKAGE); \
        fi;
 
clean:
        rm -f $(PACKAGE).tar.gz
 
comments